namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(100)]                                          
    public partial class DoughnutsItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Doughnuts"; } }
        public override string Description                      { get { return "A fried dough covered in sugar."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 27, Fat = 15, Protein = 0, Vitamins = 0};
        public override float Calories                          { get { return 800; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(LeavenedBakingSkill), 1)]    
    public partial class DoughnutsRecipe : Recipe
    {
        public DoughnutsRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DoughnutsItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FlourItem>(typeof(LeavenedBakingEfficiencySkill), 15, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<SugarItem>(typeof(LeavenedBakingEfficiencySkill), 5, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<OilItem>(typeof(LeavenedBakingEfficiencySkill), 10, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(DoughnutsRecipe), Item.Get<DoughnutsItem>().UILink(), 4, typeof(LeavenedBakingSpeedSkill)); 
            this.Initialize("Doughnuts", typeof(DoughnutsRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}