namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(200)]                                          
    public partial class SeafoodChowderItem :
        FoodItem
    {
        public override string FriendlyName                     { get { return "Seafood Chowder"; } }
        public override string Description                      { get { return "A pot of seafood with cream and vegatables."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 11, Fat = 7, Protein = 9, Vitamins = 3};
        public override float Calories                          { get { return 850; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCreationsSkill), 4)]    
    public partial class SeafoodChowderRecipe : Recipe
    {
        public SeafoodChowderRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SeafoodChowderItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(CampfireCreationsEfficiencySkill), 25, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<CriminiMushroomsItem>(typeof(CampfireCreationsEfficiencySkill), 10, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<CornItem>(typeof(CampfireCreationsEfficiencySkill), 10, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<ClamItem>(typeof(CampfireCreationsEfficiencySkill), 15, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(SeafoodChowderRecipe), Item.Get<SeafoodChowderItem>().UILink(), 8, typeof(CampfireCreationsSpeedSkill)); 
            this.Initialize("Seafood Chowder", typeof(SeafoodChowderRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}